Bug 1725213 - dnf: Can't handle being passed 35+ file names as input for downgrade operation [NEEDINFO]
Summary: dnf: Can't handle being passed 35+ file names as input for downgrade operation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libdnf
Version: 8.1
Hardware: x86_64
OS: Linux
medium
unspecified
Target Milestone: rc
: 8.0
Assignee: Jaroslav Mracek
QA Contact: Radek Bíba
URL:
Whiteboard:
Depends On: 1679648 1690915
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-28 17:40 UTC by Jaroslav Mracek
Modified: 2020-11-14 07:42 UTC (History)
14 users (show)

Fixed In Version: libdnf-0.35.1-5.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1690915
Environment:
Last Closed: 2019-11-05 22:22:10 UTC
Type: Bug
Target Upstream Version:
abologna: needinfo? (dperpeet)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:22:23 UTC

Comment 1 Jaroslav Mracek 2019-06-28 17:43:53 UTC
Here is the patch https://github.com/rpm-software-management/libdnf/pull/756. Just for QE - it fixes the crash in allocation of memory.

I don't believe that this is testable. The reproducer requires probably very specific repository that use includepkgs.

Comment 529 errata-xmlrpc 2019-11-05 22:22:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.